/**
 * TinyMCE button for custom shortcodes.
 */
(function( $ ) {
	'use strict';
	tinymce.create( 'tinymce.plugins.hemma_mce_button', {
		init: function( ed, url ) {
			// Add Button button
			ed.addButton( 'hemma_mce_button', {
				title: ed.getLang( 'hemma_mce_plugin.shortcode_button_title' ),
				icon: 'button',
				onclick: function() {
	                ed.windowManager.open({
	                    title: ed.getLang( 'hemma_mce_plugin.shortcode_button_title' ),
	                    body: [{
	                        type: 'textbox',
	                        name: 'buttontext',
	                        label: ed.getLang( 'hemma_mce_plugin.modal_button_label_1' ),
	                        value: ''
	                    },
	                    {
	                        type: 'textbox',
	                        name: 'buttonurl',
	                        label: ed.getLang( 'hemma_mce_plugin.modal_button_label_2' ),
	                        value: ''
	                    },
	                    {
	                        type: 'checkbox',
	                        name: 'buttontarget',
	                        label: ed.getLang( 'hemma_mce_plugin.modal_button_label_3' ),
	                        value: ''
	                    },
	                    {
	                        type: 'listbox',
	                        name: 'buttoncolor',
	                        label: ed.getLang( 'hemma_mce_plugin.modal_button_label_4' ),
	                        values: [
	                        	{ text: ed.getLang( 'hemma_mce_plugin.modal_color_val_1' ), value: 'none' },
	                        	{ text: ed.getLang( 'hemma_mce_plugin.modal_color_val_2' ), value: 'red' },
	                        	{ text: ed.getLang( 'hemma_mce_plugin.modal_color_val_3' ), value: 'orange' },
	                        	{ text: ed.getLang( 'hemma_mce_plugin.modal_color_val_4' ), value: 'yellow' },
	                        	{ text: ed.getLang( 'hemma_mce_plugin.modal_color_val_5' ), value: 'green' },
	                        	{ text: ed.getLang( 'hemma_mce_plugin.modal_color_val_6' ), value: 'light-blue' },
	                        	{ text: ed.getLang( 'hemma_mce_plugin.modal_color_val_7' ), value: 'blue' },
	                        	{ text: ed.getLang( 'hemma_mce_plugin.modal_color_val_8' ), value: 'purple' },
	                        	{ text: ed.getLang( 'hemma_mce_plugin.modal_color_val_9' ), value: 'pink' },
	                        	{ text: ed.getLang( 'hemma_mce_plugin.modal_color_val_10' ), value: 'brown' },
	                        	{ text: ed.getLang( 'hemma_mce_plugin.modal_color_val_11' ), value: 'dark' },
	                        	{ text: ed.getLang( 'hemma_mce_plugin.modal_color_val_12' ), value: 'white' }
	                        ]
	                    }],
	                    onsubmit: function(e) {
	                        ed.insertContent(
	                            '[button text="' +
	                            e.data.buttontext +
	                            '" url="' +
	                            e.data.buttonurl + 
	                            '" color="' +
	                            e.data.buttoncolor +
	                            '" open_new_tab="' +
	                            e.data.buttontarget +
	                            '"]'
	                        );
	                    }
	                });
				}
			});
			// Add Map button
			ed.addButton( 'hemma_mce_map', {
				title: ed.getLang( 'hemma_mce_plugin.shortcode_map_title' ),
				icon: 'map',
				onclick: function() {
	                ed.windowManager.open({
	                    title: ed.getLang( 'hemma_mce_plugin.shortcode_map_title' ),
	                    body: [{
	                        type: 'textbox',
	                        name: 'maplat',
	                        label: ed.getLang( 'hemma_mce_plugin.modal_map_label_1' ),
	                        value: ''
	                    },
	                    {
	                        type: 'textbox',
	                        name: 'maplon',
	                        label: ed.getLang( 'hemma_mce_plugin.modal_map_label_2' ),
	                        value: ''
	                    },
	                    {
	                        type: 'textbox',
	                        name: 'mapzoom',
	                        label: ed.getLang( 'hemma_mce_plugin.modal_map_label_3' ),
	                        value: ''
	                    },
	                    {
	                        type: 'textbox',
	                        name: 'mapheight',
	                        label: ed.getLang( 'hemma_mce_plugin.modal_map_label_4' ),
	                        value: ''
	                    },
	                    {
	                        type: 'listbox',
	                        name: 'mapstyle',
	                        label: ed.getLang( 'hemma_mce_plugin.modal_map_label_5' ),
	                        values: [
	                        	{ text: ed.getLang( 'hemma_mce_plugin.modal_map_label_5_val_1' ), value: 'none' },
	                        	{ text: ed.getLang( 'hemma_mce_plugin.modal_map_label_5_val_2' ), value: 'light' },
	                        	{ text: ed.getLang( 'hemma_mce_plugin.modal_map_label_5_val_3' ), value: 'dark' }
	                        ]
	                    },
	                    {
	                        type: 'listbox',
	                        name: 'markercolor',
	                        label: ed.getLang( 'hemma_mce_plugin.modal_map_label_6' ),
	                        values: [
	                        	{ text: ed.getLang( 'hemma_mce_plugin.modal_color_val_1' ), value: 'none' },
	                        	{ text: ed.getLang( 'hemma_mce_plugin.modal_color_val_2' ), value: 'red' },
	                        	{ text: ed.getLang( 'hemma_mce_plugin.modal_color_val_3' ), value: 'orange' },
	                        	{ text: ed.getLang( 'hemma_mce_plugin.modal_color_val_4' ), value: 'yellow' },
	                        	{ text: ed.getLang( 'hemma_mce_plugin.modal_color_val_5' ), value: 'green' },
	                        	{ text: ed.getLang( 'hemma_mce_plugin.modal_color_val_6' ), value: 'light-blue' },
	                        	{ text: ed.getLang( 'hemma_mce_plugin.modal_color_val_7' ), value: 'blue' },
	                        	{ text: ed.getLang( 'hemma_mce_plugin.modal_color_val_8' ), value: 'purple' },
	                        	{ text: ed.getLang( 'hemma_mce_plugin.modal_color_val_9' ), value: 'pink' },
	                        	{ text: ed.getLang( 'hemma_mce_plugin.modal_color_val_10' ), value: 'brown' },
	                        	{ text: ed.getLang( 'hemma_mce_plugin.modal_color_val_11' ), value: 'dark' },
	                        	{ text: ed.getLang( 'hemma_mce_plugin.modal_color_val_12' ), value: 'white' }
	                        ]
	                    }],
	                    onsubmit: function(e) {
	                        ed.insertContent(
	                            '[map latitude="' +
	                            e.data.maplat +
	                            '" longitude="' +
	                            e.data.maplon + 
	                            '" zoom="' +
	                            e.data.mapzoom +
	                            '" height="' +
	                            e.data.mapheight +
	                            '" style="' +
	                            e.data.mapstyle +
	                            '" marker="' +
	                            e.data.markercolor +
	                            '"]'
	                        );
	                    }
	                });
				}
			});
		},
		createControl: function( n, cm ) { return null; },
	});
	tinymce.PluginManager.add( 'hemma_button_script', tinymce.plugins.hemma_mce_button );

})( jQuery );
